Bug 750517 - Segfault in Qt when called from xca
Segfault in Qt when called from xca
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 09:08 EDT by Patrick Monnerat
Modified: 2015-02-17 08:56 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:56:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb stacktrace (36.25 KB, text/plain)
2011-11-01 09:08 EDT, Patrick Monnerat
no flags Details

  None (edit)
Description Patrick Monnerat 2011-11-01 09:08:05 EDT
Created attachment 531124 [details]
gdb stacktrace

Description of problem:
Executing xca in rawhide 32-bit causes:

$ xca
QGtkStyle was unable to detect the current GTK+ theme.
Segmentation fault (core dumped)
$

A grey (i.e.: unpainted) xca window appears shortly before the crash.

The crash occurs even if define env. variable to suppress the "QGtkStyle..." error message.
I tried to recompile xca under rawhide and investigate in it, but I'm terribly convinced the bug comes from Qt.
I did not try on other architectures.

Version-Release number of selected component (if applicable):
xca-0.9.0-2.fc16
qt-4.8.0-0.22.rc1.fc17

How reproducible:
Always

Steps to Reproduce:
1. start a shell
2. type "xca"
  
Actual results:
As shown above.

Expected results:
A working xca.

Additional info:
Please find the stacktrace in attachment
Comment 1 Kevin Kofler 2011-11-01 09:28:57 EDT
The warning is:
https://bugzilla.redhat.com/show_bug.cgi?id=702493
http://bugreports.qt.nokia.com/browse/QTBUG-21294
but it is not related to your segfault.
Comment 2 Patrick Monnerat 2011-11-01 09:31:54 EDT
> but it is not related to your segfault.
That was my feeling too.
Comment 3 Fedora End Of Life 2013-04-03 13:50:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 11:50:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 08:56:51 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.